#pragma once
#include "Test23.h"

const char gTest23USSDMessage[161] = "000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000";

Test23::Test23(VodafoneUSBModem *m) : VodafoneTestCase(m) {
   //_description = gTest23Description;
   _testCaseNumber = 23;
}
      
// virtual
void Test23::setupTest() {
   _ussdResponse = (char*)malloc(16*sizeof(char));
}
   
// virtual
bool Test23::execute() {

   LOG(gTest23Description);
         
   if(_modem->sendUSSD(gTest23USSDMessage,_ussdResponse,16)!=0) {
      LOG("Error sending USSD");
      return false;
   }
         
   LOG("Expecting \"Unknown Command\". Received USSD response: \"%s\"",_ussdResponse);
   return (strcmp(_ussdResponse,"Unknown command")==0);
}
      
// virtual
void Test23::endTest() {
   free(_ussdResponse);
}